Update one Campaign
Updates standard Campaign fields and may append External References. No-op PATCH returns changed=false without audit or domain events. Material updates emit campaign.updated. Required scope: campaigns:write.
Updates standard Campaign fields and may append External References. No-op PATCH returns changed=false without audit or domain events. Material updates emit campaign.updated. Required scope: campaigns:write.
Organization API key. Format: Bearer sk_live_...
In: header
Path Parameters
Campaign identifier returned by the Organization API.
Request Body
application/json
JSON request payload for updateCampaign.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/campaigns/string" \ -H "Content-Type: application/json" \ -d '{ "status": "completed", "isActive": false }'{ "data": {}, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}